/*
 * Line6 Linux USB driver - 0.6.5
 *
 * Copyright (C) 2004-2006 Markus Grabner (grabner@icg.tu-graz.ac.at)
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License as
 *	published by the Free Software Foundation, version 2.
 *
 */

#ifndef CONFIG_H
#define CONFIG_H


#include <linux/config.h>
#include <linux/version.h>

#ifdef CONFIG_USB_DEBUG
#define DEBUG 1
#endif


/**
   Development tools.
*/
#define DO_DEBUG_MESSAGES   0
#define DO_URB_DUMP_SEND    0
#define DO_URB_DUMP_RECEIVE 0
#define CREATE_RAW_FILE     0

/**
   Character device settings.
*/
#define USE_CHARACTER_DEVICE 0
#if USE_CHARACTER_DEVICE
#define POD_CHRDEV_MAJOR 234
#define POD_CHRDEV_NAME "pod"
#endif

/**
   In Linux 2.6.13 and later, the device_attribute is passed to the sysfs
   get/set functions (see /usr/src/linux/include/linux/device.h)
*/
#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 6, 13)
#define DEVICE_ATTRIBUTE struct device_attribute *attr,
#else
#define DEVICE_ATTRIBUTE
#endif

#if DO_DEBUG_MESSAGES
#define DEBUG_MESSAGES(x) (x)
#else
#define DEBUG_MESSAGES(x)
#endif


#endif
